Manage a payment batch
View a list of payment batches associated with an account, retrieve details about a specific batch, update or delete a batch, and access alerts or payments within a batch.List payment batches
GET
/v2/payment-batchesRequest
Use this endpoint to retrieve a paginated list of all payment batches associated with your account. You can filter results using query parameters.Query parameters
The ID of the account that you want to retrieve a list of payment batches for.Allowable values: An existing
accountId (≤ 36 characters)Sort order: ascending (
asc) or descending (desc) By default, this is set to desc.Allowable values: asc, descThe number of items to skip before returning results. For example,
offset=200. By default, this is set to 0.Allowable values: A valid integerThe maximum number of results to return. For example,
limit=25. By default, this is set to 100.Allowable values: [ 1 .. 1000 ]Includes hidden payment batches (true or false). By default, this is set to false.Allowable values: true, false
A list of statuses to filter by.Allowable values:
draft, validated, confirmed, started, completed, failed, cancelledResponse
If your request is successful, you’ll receive a 200 response.Retrieve a specific payment batch
GET
/v2/payment-batches/{paymentBatchId}Request
Use this endpoint to retrieve details of a specific payment batch.Path parameters
Query parameters
The ID of the account that you want to work with.Allowable values: An existing
accountId (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response.
Update a payment batch
PATCH
/v2/payment-batches/{paymentBatchId}Request
Use this endpoint to update specific attributes of a payment batch, such as the name or visibility. This endpoint cannot be used after a batch has been confirmed.Path parameters
Query parameters
The ID of the account that you want to work with.Allowable values: An existing
accountId (≤ 36 characters)Request body schema
Response
If your request is successful, you’ll receive a200 response containing the updated details.
Delete a payment batch
DELETE
/v2/payment-batches/{paymentBatchId}Request
Use this request to permanently delete a payment batch. A batch can not be deleted after the batch has been confirmed.Path parameters
Query parameters
The ID of the account that you want to work with.Allowable values: An existing
accountId (≤ 36 characters)Response
If your request is successful, you’ll receive a204 No Content response.
For more detailed information about this request and its response, see API reference.
List payment batch alerts
GET
/v2/payment-batches/{paymentBatchId}/alertsRequest
Use this endpoint to retrieve paginated list of all payment batch alerts associated with your account. You can filter results using query parameters.Path parameters
Query parameters
The ID of the account that you want to retrieve a list of payment batches for.Allowable values: An existing
accountId (≤ 36 characters)Sort order: ascending (
asc) or descending (desc) By default, this is set to desc.Allowable values: asc, descThe number of items to skip before returning results. For example,
offset=200. By default, this is set to 0.Allowable values: A valid integerThe maximum number of results to return. For example,
limit=25. By default, this is set to 100.Allowable values: [ 1 .. 1000 ]Response
If your request is successful, you’ll receive a200 response containing the following details.
List payments in payment batch
GET
/v2/payment-batches/{paymentBatchId}/paymentsRequest
Use this endpoint to retrieve paginated list of all payments for a given payment batch.Path parameters
Query parameters
The ID of the account that you want to retrieve a list of payment batches for.Allowable values: An existing
accountId (≤ 36 characters)Sort order: ascending (
asc) or descending (desc) By default, this is set to desc.Allowable values: asc, descThe number of items to skip before returning results. For example,
offset=200. By default, this is set to 0.Allowable values: A valid integerThe maximum number of results to return. For example,
limit=25. By default, this is set to 100.Allowable values: [ 1 .. 1000 ]A list of statuses to filter by.Allowable values:
draft, validated, confirmed, started, completed, failed, cancelledResponse
If your request is successful, you’ll receive a200 response containing the following details.